<?php

namespace Guru\Offer\Http\Controllers;

use App\Http\Controllers\PublicWebController as PublicController;
use Guru\Offer\Interfaces\OfferRepositoryInterface;

class OfferPublicWebController extends PublicController
{
    /**
     * Constructor.
     *
     * @param type \Guru\Offer\Interfaces\OfferRepositoryInterface $offer
     *
     * @return type
     */
    public function __construct(OfferRepositoryInterface $offer)
    {
        $this->repository = $offer;
        parent::__construct();
    }

    /**
     * Show offer's list.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function index()
    {
        $offers = $this->repository->scopeQuery(function($query){
            return $query->orderBy('id','DESC');
        })->paginate();

        return $this->theme->of('offer::public.offer.index', compact('offers'))->render();
    }

    /**
     * Show offer.
     *
     * @param string $slug
     *
     * @return response
     */
    protected function show($slug)
    {
        $offer = $this->repository->scopeQuery(function($query) use ($slug) {
            return $query->orderBy('id','DESC')
                         ->where('slug', $slug);
        })->first(['*']);

        return $this->theme->of('offer::public.offer.show', compact('offer'))->render();
    }
}
